Bug 33438

Summary: http/tests/plugins tests print "Unhandled variable" to stderr under Qt
Product: WebKit Reporter: Eric Seidel (no email) <eric>
Component: WebKit QtAssignee: QtWebKit Unassigned <webkit-qt-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: dbates, kling
Priority: P3 Keywords: Qt
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Proposed patch none

Description Eric Seidel (no email) 2010-01-09 15:38:59 PST
http/tests/plugins tests print "Unhandled variable" to stderr under Qt

Somehow i don't think this is expected behavior.

http://build.webkit.org/results/Qt%20Linux%20Release/r53034%20(5781)/results.html
Tests that had stderr output:
http/tests/plugins/get-url.html	stderr
http/tests/plugins/geturlnotify-from-npp-destroystream.html	stderr
http/tests/plugins/interrupted-get-url.html	stderr
Comment 1 Tor Arne Vestbø 2010-03-10 06:28:54 PST
Please follow the QtWebKit bug reporting guidelines when reporting bugs.

See http://trac.webkit.org/wiki/QtWebKitBugs

Specifically:

  - The 'QtWebKit' component should only be used for bugs/features in the
    public QtWebKit API layer, not to signify that the bug is specific to
    the Qt port of WebKit

      http://trac.webkit.org/wiki/QtWebKitBugs#Component

  - Add the keyword 'Qt' to signal that it's a Qt-related bug

      http://trac.webkit.org/wiki/QtWebKitBugs#Keywords
Comment 2 Andreas Kling 2010-03-16 05:25:51 PDT
The fprintf() can be found in WebKitTools/DumpRenderTree/unix/TestNetscapePlugin/TestNetscapePlugin.cpp
Comment 3 Andreas Kling 2010-11-14 11:27:15 PST
Created attachment 73855 [details]
Proposed patch

Patch to silence this warning (just like the "vanilla" test plugin does.)
Comment 4 Andreas Kling 2010-11-14 11:39:54 PST
Comment on attachment 73855 [details]
Proposed patch

Clearing flags on attachment: 73855

Committed r71985: <http://trac.webkit.org/changeset/71985>
Comment 5 Andreas Kling 2010-11-14 11:40:03 PST
All reviewed patches have been landed.  Closing bug.